@import '@/styles/variables';

@mixin widgetText($gap: 8px) {
  font-size: 14px;
  font-weight: 400;
  color: $color-primary-50;
  display: flex;
  align-items: center;
  column-gap: $gap;

  @include custom-min-width($md) {
    font-size: 18px;
  }
}

.header {
  position: sticky;
  z-index: $ui-index-6;
  will-change: transform;
  background-color: $color-secondary-30;
  padding-block: 16px;
}

.wrapper {
  display: flex;
  justify-content: space-between;
  align-items: center;
  column-gap: 8px;

  @include custom-min-width($xl) {
    justify-content: flex-start;
    column-gap: 114px;
  }
}

.menu {
  line-height: 0;
  background-color: transparent;
  border: none;
  cursor: pointer;
  padding: 0;
}

.cross {
  transform: rotate(45deg);
}

.widgets {
  display: flex;
  column-gap: 16px;

  @include custom-min-width($lg) {
    column-gap: 18px;
  }

  @include custom-min-width($xl) {
    flex-grow: 1;
    justify-content: flex-end;
  }
}

.notification {
  @include widgetText(8px);

  @include custom-min-width($md) {
    column-gap: 16px;
  }
}

.dropdown {
  cursor: pointer;

  @include widgetText(18px);
}

.name {
  display: none;

  @include custom-min-width($lg) {
    display: block;
  }
}
